FUNCTION::RETURNSTR(3stap)

NAME
function::returnstr - Formats the return value as a string

SYNOPSIS

    returnstr:string(format:long)

ARGUMENTS

format
    Variable to determine return type base value

DESCRIPTION

This function is used by the nd_syscall tapset, and returns a string. Set format equal to 1 for a decimal, 2 for hex, 3 for octal.

Note that this function should only be used in dwarfless probes (i.e. 'kprobe.function(“foo”)'). Other probes should use return_str.

SEE ALSO
tapset::errno(3stap)